Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class TimeIntervalHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.TimeIntervalHandle

    public class TimeIntervalHandle

extends StructureHandle

The structure handle of time interval.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`TimeIntervalHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext context)` Constructs the handle of time interval.

Method Summary
`int` | `getMeasure()` Returns the measure value.
`java.lang.String` | `getUnit()` Returns the unit of the time interval.
`void` | `setMeasure(int measure)` Sets the measure value.
`void` | `setUnit(java.lang.String unit)` Sets the unit of the time interval.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeIntervalHandle

    public TimeIntervalHandle(DesignElementHandle element,
                              org.eclipse.birt.report.model.core.StructureContext context)

  Constructs the handle of time interval.

  Parameters:
    `element` - the handle of the element which defines the structure
    `context` - the context of this structure

Method Detail

### setMeasure

    public void setMeasure(int measure)
                    throws SemanticException

  Sets the measure value.

  Parameters:
    `measure` - the measure value to set
  Throws:
    `SemanticException`

### getMeasure

    public int getMeasure()

  Returns the measure value.

  Returns:
    the measure value

### setUnit

    public void setUnit(java.lang.String unit)
                 throws SemanticException

  Sets the unit of the time interval. The value can one of the following value defined in `DesignChoiceConstants`:
  - `INTERVAL_SECOND`
  - `INTERVAL_MINUTE`
  - `INTERVAL_HOUR`

  Parameters:
    `unit` - the unit to set
  Throws:
    `SemanticException`

### getUnit

    public java.lang.String getUnit()

  Returns the unit of the time interval. The value can be one of the following value defined in `DesignChoiceConstants`:
  - `INTERVAL_SECOND`
  - `INTERVAL_MINUTE`
  - `INTERVAL_HOUR`

  Returns:
    the unit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.